== Why is this an issue?

include::../description.adoc[]

include::../noncompliant.adoc[]

=== Compliant solution

[source,java]
----
public interface Nothing {
}
----


=== Exceptions

Empty classes can be used as marker types (for Spring for instance), therefore empty classes that are annotated will be ignored.

[source,java]
----
@Configuration
@EnableWebMvc
public final class ApplicationConfiguration {

}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
